Skip to main content
GET

JSON Ledger API

Get the latest successfully pruned ledger offsets

OpenAPISince 3.4Changed 3.5
Get the latest successfully pruned ledger offsets

Protocol Details

Inputs

Outputs

200

application/json
integer (int64)
It will always be a non-negative integer. If positive, the absolute offset up to which the ledger has been pruned, disregarding the state of all divulged contracts pruning. If zero, the ledger has not been pruned yet. Optional
integer (int64)
It will always be a non-negative integer. If positive, the absolute offset up to which all divulged events have been pruned on the ledger. It can be at or before the participant_pruned_up_to_inclusive offset. For more details about all divulged events pruning, see PruneRequest.prune_all_divulged_contracts in participant_pruning_service.proto. If zero, the divulged events have not been pruned yet. Optional

400

text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Changed3.5

The GET /v2/state/latest-pruned-offsets operation changed in this snapshot.

Introduced3.4